Authorization: Bearer ********************{
"type": "spare_parts",
"component_id": "a0fd0b0f-3a2a-40c4-a4a9-450703447ee3",
"account_code_type_id": "e1c434cb-1e2a-462a-85e9-44f1017ab100",
"asset_id": "f48c1f4e-1795-487c-af66-bf82cf1f02f4",
"department": "engine",
"category": "docking",
"requisition_number": "doc number",
"date_acct": "2023-05-12T13:52:58.371Z",
"code_reference": "alwe",
"description": "aaa",
"products": [
{
"product_code": "BEAR00447",
"product_type": "A",
"product_type_name": "Assets",
"component_code": "121.123",
"quantity": 1,
"remarks": "asas",
"uom_name": "kg",
"uom_symbol": "KG",
"uom_ref_id": 1201222,
"maker": "sasd",
"model" :"ddd",
"serial_number": null
}
],
"files_id": "uuid",
"work_description": "work work work work work",
}curl --location --request POST 'https://mazu-lan.concise.co.id/api/v1/main/requisition-docs/draft' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
"type": "spare_parts",
"component_id": "a0fd0b0f-3a2a-40c4-a4a9-450703447ee3",
"account_code_type_id": "e1c434cb-1e2a-462a-85e9-44f1017ab100",
"asset_id": "f48c1f4e-1795-487c-af66-bf82cf1f02f4",
"department": "engine",
"category": "docking",
"requisition_number": "doc number",
"date_acct": "2023-05-12T13:52:58.371Z",
"code_reference": "alwe",
"description": "aaa",
"products": [
{
"product_code": "BEAR00447",
"product_type": "A",
"product_type_name": "Assets",
"component_code": "121.123",
"quantity": 1,
"remarks": "asas",
"uom_name": "kg",
"uom_symbol": "KG",
"uom_ref_id": 1201222,
"maker": "sasd",
"model" :"ddd",
"serial_number": null
}
],
"files_id": "uuid",
"work_description": "work work work work work",
}'{}